
package de.ivu.elect.presentation.gruppe.table;

import de.ivu.elect.business.gruppe.entity.GruppeKumulierteStimmen;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class GruppeKumulierteStimmenPolitischeGruppenPositionColumn extends AbstractGruppeKumulierteStimmenColumn {

  private static final long serialVersionUID = 1L;

  public GruppeKumulierteStimmenPolitischeGruppenPositionColumn(Messages messages) {
    super(messages);
  }

  @Override
  public ColumnType getType() {
    return ColumnType.LONG;
  }

  @Override
  public String getHeader() {
    return getMessage("gruppe.kumulierte.stimmen.position");
  }

  @Override
  public String getHeaderIgnoringErgebnisartFuerDifferenz() {
    return getHeader();
  }

  @Override
  public Object getValue(GruppeKumulierteStimmen gruppeKumulierteStimmen) {
    if (gruppeKumulierteStimmen.isSystemGruppe()) {
      return null;
    }

    return gruppeKumulierteStimmen.getPosition();
  }
}
